"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.label.string = this.text;
    },

    // called every frame
    update: function update(dt) {},

    loadSpine0: function loadSpine0() {
        var key = "spineboy/spineboy";
        cc.loader.loadRes(key, sp.SkeletonData, function (err, data) {
            if (err) {
                cc.error(err);
            } else {
                cc.log("加载完成Spine:" + key);
            }
        });
    },

    //释放骨骼资源
    releaseSpine0: function releaseSpine0() {
        var key = "spineboy/spineboy";
        var deps = cc.loader.getDependsRecursively(key);
        cc.log("deps=" + deps);
        cc.loader.release(deps);
    },

    reLoadSpine0: function reLoadSpine0() {
        var _this = this;

        var key = "spineboy/spineboy";
        cc.loader.loadRes(key, sp.SkeletonData, function (err, data) {
            if (err) {
                cc.error(err);
            } else {
                cc.log("加载完成Spine:" + key);
                var node = new cc.Node();
                var spine = node.addComponent(sp.Skeleton);
                spine.skeletonData = data;
                _this.node.addChild(node);
                node.setPosition(0, 0);
                spine.setAnimation(0, "run", true);
            }
        });
    },

    loadSpine1: function loadSpine1() {
        var key = "1001/chengnv";
        cc.loader.loadRes(key, sp.SkeletonData, function (err, data) {
            if (err) {
                cc.error(err);
            } else {
                cc.log("加载完成Spine:" + key);
            }
        });
    },

    //释放骨骼资源
    releaseSpine1: function releaseSpine1() {
        var key = "1001/chengnv";
        var deps = cc.loader.getDependsRecursively(key);
        cc.log("deps=" + deps);
        cc.loader.release(deps);
    },

    reLoadSpine1: function reLoadSpine1() {
        var _this2 = this;

        var key = "1001/chengnv";
        cc.loader.loadRes(key, sp.SkeletonData, function (err, data) {
            if (err) {
                cc.error(err);
            } else {
                cc.log("加载完成Spine:" + key);
                var node = new cc.Node();
                var spine = node.addComponent(sp.Skeleton);
                spine.skeletonData = data;
                _this2.node.addChild(node);
                node.setPosition(200, 0);
                spine.setAnimation(0, "stand", true);
            }
        });
    }

});

cc._RF.pop();